Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui.actions
Class OpenViewActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.jdt.ui.actions.OpenViewActionGroup

public class OpenViewActionGroup
extends ActionGroup

Action group that adds actions to open a new JDT view part or an external viewer to a context menu and the global menu bar.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Constructor Summary
`OpenViewActionGroup(IViewPart part)` Creates a new `OpenActionGroup`.
`OpenViewActionGroup(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor part)` Note: This constructor is for internal use only.
`OpenViewActionGroup(Page page)` Creates a new `OpenActionGroup`.

Method Summary
`void` | `dispose()`
`void` | `fillActionBars(IActionBars actionBar)`
`void` | `fillContextMenu(IMenuManager menu)`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenViewActionGroup

    public OpenViewActionGroup(Page page)

  Creates a new `OpenActionGroup`. The group requires that the selection provided by the page's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `page` - the page that owns this action group

### OpenViewActionGroup

    public OpenViewActionGroup(IViewPart part)

  Creates a new `OpenActionGroup`. The group requires that the selection provided by the part's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `part` - the view part that owns this action group

### OpenViewActionGroup

    public OpenViewActionGroup(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor part)

  Note: This constructor is for internal use only. Clients should not call this constructor.

Method Detail

### fillActionBars

    public void fillActionBars(IActionBars actionBar)

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

### dispose

    public void dispose()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.